| Home | Libraries | People | FAQ | More

##### results::rows

Returns the rows retrieved by the SQL query.

###### Synopsis

    rows_view
    rows() const noexcept;

###### Description

For operations returning more than one resultset, returns the rows for the first resultset.

###### Preconditions

`this->has_value() == true`

###### Exception safety

No-throw guarantee.

###### Object lifetimes

This function returns a view object, with reference semantics. The returned view points into memory owned by `*this`, and will be valid as long as `*this` or an object move-constructed from `*this` are alive.

###### Complexity

Constant.